Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop
Interface TargetClassAware

All Known Subinterfaces:
  Advised, TargetSource

All Known Implementing Classes:
  AbstractBeanFactoryBasedTargetSource, AbstractLazyCreationTargetSource, AbstractPoolingTargetSource, AbstractPrototypeBasedTargetSource, AbstractRefreshableTargetSource, AdvisedSupport, AspectJProxyFactory, BeanFactoryRefreshableTargetSource, CommonsPoolTargetSource, EmptyTargetSource, HotSwappableTargetSource, JndiObjectTargetSource, LazyInitTargetSource, PrototypeTargetSource, ProxyCreatorSupport, ProxyFactory, ProxyFactoryBean, RefreshableScriptTargetSource, SimpleBeanTargetSource, SingletonTargetSource, ThreadLocalTargetSource

    public interface TargetClassAware

Minimal interface for exposing the target class behind a proxy.

Implemented by AOP proxy objects and proxy factories (via `Advised`} as well as by `TargetSources`.

Since:
  2.0.3
Author:
  Juergen Hoeller
See Also:
  `AopUtils.getTargetClass(Object)`

Method Summary
`Class<?>` | `getTargetClass()` Return the target class behind the implementing object (typically a proxy configuration or an actual proxy).

Method Detail

### getTargetClass

    Class<?> getTargetClass()

  Return the target class behind the implementing object (typically a proxy configuration or an actual proxy).

  Returns:
    the target Class, or `null` if not known

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD